#include <owl/pch.h>
#pragma hdrstop

#include "app.h"
#include "client.h"                        // Definition of client class.

#include "app.rh"            // Definition of all resources.

WinHelpColorsApp::WinHelpColorsApp()
: TApplication("WinHelp Colors")
{
}


WinHelpColorsApp::~WinHelpColorsApp()
{
}

void WinHelpColorsApp::InitMainWindow()
{
  if (nCmdShow != SW_HIDE)
    nCmdShow = (nCmdShow != SW_SHOWMINNOACTIVE) ? SW_SHOWNORMAL : nCmdShow;

  WinHelpColorsClient *client = new WinHelpColorsClient(0);

  TDecoratedFrame* frame = new TDecoratedFrame(0, GetName(), client, false);
  frame->SetFlag(wfShrinkToClient);

  // Assign icons for this application.
  //
  frame->SetIcon(this, IDI_SDIAPPLICATION);
  frame->SetIconSm(this, IDI_SDIAPPLICATION);

  frame->Attr.Style |= WS_DLGFRAME;
  frame->Attr.Style &= ~(WS_MAXIMIZEBOX | WS_MINIMIZEBOX | WS_THICKFRAME);

  SetMainWindow(frame);
}

///////////////////////////////////////////////////////////////////////////////

int OwlMain(int, char* [])
{
  WinHelpColorsApp app;
  return app.Run();
}
